gnome-tetravex-cli(6)

NAME
Tetravex - A simple puzzle game to play in CLI

SYNOPSIS
gnome-tetravex-cli [OPTION...] [COMMAND]

DESCRIPTION
GNOME Tetravex is a simple puzzle where pieces must be positioned so that the same numbers are touching each other.
This is a CLI program; see also `gnome-tetravex` for the Gtk application.

OPTIONS

-c, --colors=NUMBER
    Set number of colors (2-10)

-s, --size=SIZE
    Set size of board (2-6)

-v, --version
    Print release version and exit

COMMAND

A1b2
    Invert two tiles, the one in A1, and the one in b2.
    An uppercase targets a tile from the initial board.
    A lowercase targets a tile in the left/final board.
    Digits specify the rows of the two tiles to invert.

(nothing)
status
show
    Show the current puzzle.

new Create a new puzzle; for changing size, use --size.

solve
    Give up with current puzzle, and view the solution.

finish
end
    Finish current puzzle, automatically. Works for puzzles solved right or if one tile left.

up, l-up
down, l-down
left, l-left
right, l-right
    Move all left-board tiles up/down/left/right by one.

r-up
r-down
r-left
r-right
    Move all right-board tiles up/down/left/right by one.

AUTHORS
gnome-tetravex-cli was written by Arnaud Bonatti.